Subject: Re: Git User's Survey 2007 partial summary

From: Jakub Narebski <[email-masked]>
Date: Mon, 27 Aug 2007 13:15:07 +0200

Shawn O. Pearce wrote:
> Jakub Narebski <[email-masked]> wrote:

>> 04. Which programming languages are you proficient with?
>> 
>> It look like there is only 3/4 people proficient in Perl as compared to 
>> Python; it looks like Python is more popular.

I meant here that Perl to Python is around 3 to 4; more people are
proficient in Python than in Perl.

>>                                              C is most popular, with  
>> only a few (if everything is all right with the results page) people 
>> proficient in Tcl/Tk. I'm sorry, git-gui and gitk guys; it looks like
>> not many developers...
> 
> Rather sad given their user base.  gitk seems to have at least 30%
> of the respondants while git-gui is somewhere between 10-14%,
> depending upon the question asked.  Odd.  qgit has a smaller
> respondant base (~7.7%) but is probably the tool that more Git
> users would be comfortable hacking on since it is developed in C++.

It is not *that* bad, as there are 14 people proficient in Tcl/Tk,
while there are 5 people who had made 5 or more commits to either
gitk or git-gui. But it is not encouraging.

I wonder if PyGTK is as portable as Tcl/Tk...
-- 
Jakub Narebski
Poland